#include <iostream>

using namespace std;


int nzs(unsigned long long int a, unsigned long long int b) {
	
	unsigned long long int res1, res2;
	
	res1 = a;
	res2 = b;
	
	while (a != 0 && b != 0) {
		
		if (a > b) {
			a -= a - (a % b);
		}
		else {
			b -= b - (b % a);
		}
		
	}
	
	if (a == 0) {
		a = b;
	}
	
	return ((res1 / a) * res2);
}



int main() {
	
	unsigned long long int br = 0, p, q, r, L, D, ukupno;
	
	cin >> p >> q >> r >> L >> D;
	
	ukupno = nzs(p, q);
	ukupno = nzs(ukupno, r);
	
	br = 0;
	
	if (ukupno >= (ukupno / p) + (ukupno / q) + (ukupno / r)) {
		
		if (ukupno >= (ukupno / p) + (ukupno / q) + (ukupno / r)) {
			br += (D - D % ukupno) / ukupno - (L - L % ukupno) / ukupno;
		}
		
		if (ukupno - 1 >= (ukupno / p) + (ukupno / q) + (ukupno / r)) {
			br += (D - D % (p * q)) / (p * q) - (L - L % (p * q)) / (p * q) + (D - D % (p * r)) / (p * r) - (L - L % (p * r)) / (p * r) + (D - D % (r * q)) / (r * q) - (L - L % (r * q)) / (r * q);
		}
		
		if (ukupno - 2 >= (ukupno / p) + (ukupno / q) + (ukupno / r)) {
			br += (D - D % (q)) / (q) - (L - L % (q)) / (q) + (D - D % (p)) / (p) - (L - L % (p)) / (p) + (D - D % (r)) / (r) - (L - L % (r)) / (r);
		}
		
	}
	else {
		br = 0;
	}
	
	cout << br;
	
	return 0;
}